<?php
/**
 * The header for our theme.
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Business Center Pro 2.0.0
 */

/**
 * business_center_pro_doctype hook
 *
 * @hooked business_center_pro_doctype -  10
 *
 */
do_action( 'business_center_pro_doctype' );

?>
<head>
	<?php
		/**
		 * business_center_pro_before_wp_head hook
		 *
		 * @hooked business_center_pro_wp_head -  10
		 *
		 */
		do_action( 'business_center_pro_before_wp_head' );

		wp_head(); 
	?>
</head>

<body <?php body_class(); ?>>
	<?php
	/**
	 * business_center_pro_loader hook
	 *
	 * @hooked business_center_pro_loader -  10
	 *
	 */
	do_action( 'business_center_pro_loader' );

	/**
	 * business_center_pro_page_start hook
	 *
	 * @hooked business_center_pro_page_start -  10
	 *
	 */
	do_action( 'business_center_pro_page_start' );

	/**
	 * business_center_pro_header_start hook
	 *
	 * @hooked business_center_pro_header_start       - 10
	 *
	 */
	do_action( 'business_center_pro_header_start' );

	/**
	 * business_center_pro_header hook
	 *
	 * @hooked business_center_pro_site_branding       - 10
	 * @hooked business_center_pro_navigation       - 20
	 * @hooked business_center_pro_append_search       - 30
	 *
	 */
	do_action( 'business_center_pro_header' );

	/**
	 * business_center_pro_header_end hook
	 *
	 * @hooked business_center_pro_header_end       - 100
	 * @hooked business_center_pro_search_result       - 110
	 *
	 */
	do_action( 'business_center_pro_header_end' );

	/**
	 * business_center_pro_site_content_start hook
	 *
	 * @hooked business_center_pro_site_content_start -  10
	 *
	 */
	do_action( 'business_center_pro_site_content_start' );
	
	/**
	 * business_center_pro_custom_header hook
	 *
	 * @hooked business_center_pro_display_custom_header -  10
	 *
	 */
	do_action( 'business_center_pro_custom_header' );

	/**
	 * business_center_pro_core_modules hook
	 *
	 * @hooked business_center_pro_breadcrumb -  10
	 * @hooked business_center_pro_slider -  20
	 *
	 */
	do_action( 'business_center_pro_core_modules' );