<?php
/**
 * Blog options
 *
 * @package Business_Center_Pro
 * @since Business Center Pro 2.0.0
 */

$wp_customize->add_section( 'business_center_pro_blog_options', array(
        'title'    => esc_html__( 'Blog options', 'business-center-pro' ),
        'panel'    => 'business_center_pro_theme_options_panel'
    )
); 

// Blog layout  
$wp_customize->add_setting( 'business_center_pro_theme_options[blog_layout]', array(
      'default'           => $options['blog_layout'],
      'sanitize_callback' => 'business_center_pro_sanitize_select',
    )
);

$wp_customize->add_control( 'business_center_pro_theme_options[blog_layout]', array(
      'label'     => esc_html__( 'Blog Layout?', 'business-center-pro' ),
      'section'   => 'business_center_pro_blog_options',
      'type'      => 'select',
      'choices'   => business_center_pro_blog_layout_options()
    )
); 

// Blog post content type
$wp_customize->add_setting( 'business_center_pro_theme_options[blog_content_type]', array(
      'default'           => $options['blog_content_type'],
      'sanitize_callback' => 'business_center_pro_sanitize_select',
    )       
);

$wp_customize->add_control( 'business_center_pro_theme_options[blog_content_type]', array(
      'type'      => 'select',
      'label'     => esc_html__( 'Content Type?', 'business-center-pro' ),
      'section'   => 'business_center_pro_blog_options',
      'choices'   => business_center_pro_blog_content_type_options()
    )
);

//Meta
$wp_customize->add_setting( 'business_center_pro_theme_options[hide_date]', array(
    'sanitize_callback' => 'business_center_pro_sanitize_checkbox',
    'default' => $options['hide_date'],     
  )   
);

$wp_customize->add_control( 'business_center_pro_theme_options[hide_date]', array(
    'type' => 'checkbox',
    'label' => esc_html__( 'Hide post date?', 'business-center-pro' ),
    'section' => 'business_center_pro_blog_options',
  )
);

$wp_customize->add_setting( 'business_center_pro_theme_options[hide_author]', array(
    'sanitize_callback' => 'business_center_pro_sanitize_checkbox',
    'default' => $options['hide_author'],     
  )   
);

$wp_customize->add_control( 'business_center_pro_theme_options[hide_author]', array(
    'type' => 'checkbox',
    'label' => esc_html__( 'Hide post author?', 'business-center-pro' ),
    'section' => 'business_center_pro_blog_options',
  )
); 

$wp_customize->add_setting( 'business_center_pro_theme_options[hide_category]', array(
    'sanitize_callback' => 'business_center_pro_sanitize_checkbox',
    'default' => $options['hide_category'],     
  )   
);

$wp_customize->add_control( 'business_center_pro_theme_options[hide_category]', array(
    'type' => 'checkbox',
    'label' => esc_html__( 'Hide post category?', 'business-center-pro' ),
    'section' => 'business_center_pro_blog_options',
  )
); 

$wp_customize->add_setting( 'business_center_pro_theme_options[hide_tags]', array(
    'sanitize_callback' => 'business_center_pro_sanitize_checkbox',
    'default' => $options['hide_tags'],     
  )   
);

$wp_customize->add_control( 'business_center_pro_theme_options[hide_tags]', array(
    'type' => 'checkbox',
    'label' => esc_html__( 'Hide post tags?', 'business-center-pro' ),
    'section' => 'business_center_pro_blog_options',
  )
); 

//Index images
$wp_customize->add_setting( 'business_center_pro_theme_options[hide_featured_image]', array(
        'sanitize_callback' => 'business_center_pro_sanitize_checkbox',
    )       
);

$wp_customize->add_control( 'business_center_pro_theme_options[hide_featured_image]', array(
        'type' => 'checkbox',
        'label' => esc_html__( 'Hide featured images?', 'business-center-pro' ),
        'section' => 'business_center_pro_blog_options',
    )
);