<?php
/**
* Breadcrumb options
*
* @package Business_Center_Pro
* @since Business Center Pro 2.0.0
*/

$wp_customize->add_section( 'business_center_pro_breadcrumb', array(
	'title'             => esc_html__( 'Breadcrumb','business-center-pro' ),
	'description'       => esc_html__( 'Breadcrumb section options.', 'business-center-pro' ),
	'panel'             => 'business_center_pro_theme_options_panel'
) );

// Breadcrumb enable setting and control.
$wp_customize->add_setting( 'business_center_pro_theme_options[breadcrumb_enable]', array(
	'sanitize_callback'	=> 'business_center_pro_sanitize_checkbox',
	'default'          	=> $options['breadcrumb_enable']
) );

$wp_customize->add_control( 'business_center_pro_theme_options[breadcrumb_enable]', array(
	'label'            	=> esc_html__( 'Enable Breadcrumb', 'business-center-pro' ),
	'section'          	=> 'business_center_pro_breadcrumb',
	'type'             	=> 'checkbox',
) );

// Breadcrumb show on front setting and control.
$wp_customize->add_setting( 'business_center_pro_theme_options[breadcrumb_show_on_front]', array(
	'sanitize_callback'	=> 'business_center_pro_sanitize_checkbox',
	'default'          	=> $options['breadcrumb_show_on_front']
) );

$wp_customize->add_control( 'business_center_pro_theme_options[breadcrumb_show_on_front]', array(
	'active_callback'	=> 'business_center_pro_is_breadcrumb_enable',
	'label'            	=> esc_html__( 'Show on Front Page', 'business-center-pro' ),
	'section'          	=> 'business_center_pro_breadcrumb',
	'type'             	=> 'checkbox',
) );

// Breadcrumb title setting and control.
$wp_customize->add_setting( 'business_center_pro_theme_options[breadcrumb_title]', array(
	'sanitize_callback'	=> 'sanitize_text_field',
	'default'          	=> $options['breadcrumb_title']
) );

$wp_customize->add_control( 'business_center_pro_theme_options[breadcrumb_title]', array(
	'active_callback'	=> 'business_center_pro_is_breadcrumb_enable',
	'label'       => esc_html__( 'Title', 'business-center-pro' ),
	'description' => esc_html__( 'Keep it empty to hide.', 'business-center-pro' ),
	'section'     => 'business_center_pro_breadcrumb',
	'type'        => 'text',
) );