<?php 
if ( ! function_exists( 'business_center_pro_breadcrumb' ) ) :

	/**
	 * Add breadcrumb.
	 *
	 * @since Business Center Pro 2.0.0
	 */
	function business_center_pro_breadcrumb() {
		$options = business_center_pro_get_theme_options();
		// Bail if Breadcrumb disabled.
		$breadcrumb = $options['breadcrumb_enable'];
		if ( false === $breadcrumb ) {
			return;
		}
		if ( ( ! is_home() && is_front_page() ) && false == $options['breadcrumb_show_on_front'] ) {
			return;
		}
		echo '<section id="breadcrumb-list">
	            <div class="container">';
				
				$title = $options['breadcrumb_title'];
				$show_title = __return_true();
				if ( empty( $title ) ) {
					$show_title = __return_false();
				}

				$args = array(
					'container'       => 'nav',
					'before'          => '',
					'after'           => '',
					'show_on_front'   => boolval( $options['breadcrumb_show_on_front'] ),
					'network'         => false,
					'show_title'      => $show_title,
					'show_browse'     => true,
					'labels'          => array(
						'browse' => esc_html( $title ),
					),
					'post_taxonomy'   => array(),
					'echo'            => true,
				);
				breadcrumb_trail( $args );      

		echo 	'</div><!-- .container -->
          	</section><!-- end #breadcrumb-list -->';
		return;
	}
endif;

add_action( 'business_center_pro_core_modules', 'business_center_pro_breadcrumb' , 25 );